libetonyek::KEY1DivStyle Class Reference

`#include <KEY1DivElement.h>`

## Public Member Functions
| KEY1DivStyle (KEY1ParserState &state, IWORKStylePtr_t parentStyle)
bool | readAttribute (int name, const char *value)
IWORKStylePtr_t | getStyle ()

## Private Attributes
KEY1ParserState & | m_state
IWORKStylePtr_t | m_style
IWORKStylePtr_t | m_parentStyle
IWORKPropertyMap | m_propMap

## Constructor & Destructor Documentation

## ◆ KEY1DivStyle()

libetonyek::KEY1DivStyle::KEY1DivStyle | ( | KEY1ParserState & | state,
|  | IWORKStylePtr_t | parentStyle )
| explicit

## Member Function Documentation

## ◆ getStyle()

IWORKStylePtr_t libetonyek::KEY1DivStyle::getStyle | ( |  | ) |

## ◆ readAttribute()

bool libetonyek::KEY1DivStyle::readAttribute | ( | int | name,
|  | const char * | value )

## Member Data Documentation

## ◆ m_parentStyle

IWORKStylePtr_t libetonyek::KEY1DivStyle::m_parentStyle
| private

Referenced by getStyle(), and KEY1DivStyle().

## ◆ m_propMap

IWORKPropertyMap libetonyek::KEY1DivStyle::m_propMap
| private

Referenced by getStyle(), KEY1DivStyle(), and readAttribute().

## ◆ m_state

KEY1ParserState& libetonyek::KEY1DivStyle::m_state
| private

Referenced by KEY1DivStyle(), and readAttribute().

## ◆ m_style

IWORKStylePtr_t libetonyek::KEY1DivStyle::m_style
| private

Referenced by getStyle(), and KEY1DivStyle().

The documentation for this class was generated from the following files:

- KEY1DivElement.h
- KEY1DivElement.cpp